#ifndef _MEDIA_PROFILES_H__
#define _MEDIA_PROFILES_H__

#include <stdlib.h>
#include <gtk/gtk.h>
#include <gst/gst.h>

// ComboBox columns
enum  {
    COL_PROFILE_ID,   // Profile id (invisible)
    COL_PROFILE_TXT,  // Profile name (displayed text)
    N_PROFILE_COLUMNS
};

void media_profiles_init();
void media_profiles_exit();

GtkWidget *media_profiles_create_combobox();
gchar *media_profiles_get_selected_id(GtkWidget *widget);

gchar *media_profiles_get_extension(gchar *id);
gchar *media_profiles_get_pipeline(gchar *id);
gboolean media_profiles_check_profile(gchar *id);

#endif

